StatsHub Docs
APIAPI v2V2 endpoint referenceWatchlists

/me/prop-watchlist

List the caller's saved prop selections

GET
/me/prop-watchlist

List the caller's saved prop selections

Authorization

AuthorizationBearer <token>

Supabase access token.

In: header

Query Parameters

limit?integer

Maximum resources to return; defaults to 25

Range1 <= value <= 100
Default25
after?string

Opaque cursor for the next page

before?string

Opaque cursor for the previous page

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/me/prop-watchlist"
{  "data": [    {      "id": "string",      "prop": {        "fixture": {          "awayTeam": {            "id": "string",            "name": "string",            "slug": "string"          },          "homeTeam": {            "id": "string",            "name": "string",            "slug": "string"          },          "id": "string",          "kickoffAt": "2019-08-24T14:15:22Z",          "slug": "string"        },        "hitRates": {          "last10": 0,          "last15": 0,          "last5": 0        },        "id": "string",        "leagueAverage": 0,        "line": 0,        "marketName": "string",        "opponent": {          "rank": 0,          "team": {            "id": "string",            "name": "string",            "slug": "string"          },          "totalRanks": 0        },        "opponentAverage": 0,        "player": {          "id": "string",          "name": "string"        },        "prices": [          {            "bookmakerId": "string",            "name": "string",            "price": 0          }        ],        "recentlyPlayed": true,        "side": "string",        "statType": "string",        "team": {          "id": "string",          "name": "string",          "slug": "string"        },        "updatedAt": "2019-08-24T14:15:22Z"      },      "savedAt": "2019-08-24T14:15:22Z"    }  ],  "links": {    "next": "string",    "previous": "string",    "self": "string"  },  "page": {    "hasNext": true,    "hasPrevious": true,    "limit": 0,    "nextCursor": "string",    "previousCursor": "string"  }}